
From: Wim Van Sebroeck <wim@iguana.be>

Adds support for the 82801EB and 82801ER I/O Controller Hub's (ICH5 &
ICH5R).  This will add watchdog support for the i865 and i875 motherboard
chipsets.  It also removes some extra trailing spaces in the source files.



 25-akpm/drivers/char/watchdog/i810-tco.c |   12 ++++++++----
 25-akpm/drivers/char/watchdog/i810-tco.h |    4 ++--
 2 files changed, 10 insertions(+), 6 deletions(-)

diff -puN drivers/char/watchdog/i810-tco.c~watchdog-i810 drivers/char/watchdog/i810-tco.c
--- 25/drivers/char/watchdog/i810-tco.c~watchdog-i810	Tue Jul 15 14:48:12 2003
+++ 25-akpm/drivers/char/watchdog/i810-tco.c	Tue Jul 15 14:48:12 2003
@@ -25,7 +25,8 @@
  *	82801AA & 82801AB  chip : document number 290655-003, 290677-004,
  *	82801BA & 82801BAM chip : document number 290687-002, 298242-005,
  *	82801CA & 82801CAM chip : document number 290716-001, 290718-001,
- *	82801DB & 82801E   chip : document number 290744-001, 273599-001
+ *	82801DB & 82801E   chip : document number 290744-001, 273599-001,
+ *	82801EB & 82801ER  chip : document number 252516-001
  *
  *  20000710 Nils Faerber
  *	Initial Version 0.01
@@ -42,9 +43,11 @@
  *	     clean up ioctls (WDIOC_GETSTATUS, WDIOC_GETBOOTSTATUS and
  *	     WDIOC_SETOPTIONS), made i810tco_getdevice __init,
  *	     removed boot_status, removed tco_timer_read,
- *	     added support for 82801DB and 82801E chipset, general cleanup.
+ *	     added support for 82801DB and 82801E chipset,
+ *	     added support for 82801EB and 8280ER chipset,
+ *	     general cleanup.
  */
- 
+
 #include <linux/module.h>
 #include <linux/types.h>
 #include <linux/miscdevice.h>
@@ -164,7 +167,7 @@ static int tco_timer_settimer (unsigned 
  * Reload (trigger) the timer. Lock is needed so we don't reload it during
  * a reprogramming event
  */
- 
+
 static void tco_timer_reload (void)
 {
 	spin_lock(&tco_lock);
@@ -307,6 +310,7 @@ static struct pci_device_id i810tco_pci_
 	{ PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_82801CA_12,	PCI_ANY_ID, PCI_ANY_ID, },
 	{ PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_82801DB_0,	PCI_ANY_ID, PCI_ANY_ID, },
 	{ PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_82801E_0,	PCI_ANY_ID, PCI_ANY_ID, },
+	{ PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_82801EB_0,	PCI_ANY_ID, PCI_ANY_ID, },
 	{ 0, },
 };
 MODULE_DEVICE_TABLE (pci, i810tco_pci_tbl);
diff -puN drivers/char/watchdog/i810-tco.h~watchdog-i810 drivers/char/watchdog/i810-tco.h
--- 25/drivers/char/watchdog/i810-tco.h~watchdog-i810	Tue Jul 15 14:48:12 2003
+++ 25-akpm/drivers/char/watchdog/i810-tco.h	Tue Jul 15 14:48:12 2003
@@ -1,5 +1,5 @@
 /*
- *	i810-tco 0.05:	TCO timer driver for i8xx chipsets
+ *	i810-tco:	TCO timer driver for i8xx chipsets
  *
  *	(c) Copyright 2000 kernel concepts <nils@kernelconcepts.de>, All Rights Reserved.
  *				http://www.kernelconcepts.de
@@ -8,7 +8,7 @@
  *	modify it under the terms of the GNU General Public License
  *	as published by the Free Software Foundation; either version
  *	2 of the License, or (at your option) any later version.
- *	
+ *
  *	Neither kernel concepts nor Nils Faerber admit liability nor provide
  *	warranty for any of this software. This material is provided
  *	"AS-IS" and at no charge.

_
